Instalar crossover 18 GNU/Linux - Legión GA

Página oficial de Legión GNU/Linux de la comunidad de Telegram

Únete a Telegram

28 may 2019

Instalar crossover 18 GNU/Linux



Instalar crossover version full , necesitamos el .deb en el caso de tener una distribución basada en debian si es una distribución basada en Fedora/opensuse podes descargar .rpm y si se trata de alguna que no usa ningunos de estos tipos de paquetes el .bin (ArchLinux).


Primero descargas la version triall y luego metes la medicina ( es como hacerlo en windows - Guindows xDD).

 

Una vez descargado en el paquete para instalarlo ejecuten una terminal en la misma carpeta que lo tengan . 

# sudo dpk -i "Nombre".deb 

Reemplazan #nombre por el nombre completo que le dá al crossover. 


En mi caso queda asi : 

➜  Crossover 18.0.0 ls 
crossover_18.5.0-1.deb  Howtopatch.txt  winewrapper.exe.so
➜  Crossover 18.0.0 sudo dpkg -i crossover_18.5.0-1.deb 
Al darle enter nos quedará sin instalar unas dependencias pero nosotros ejecutaremos el comando para solventarlo : 

Crossover 18.0.0 sudo dpkg -i crossover_18.5.0-1.deb
Seleccionando el paquete crossover:i386 previamente no seleccionado.
(Leyendo la base de datos ... 298876 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar crossover_18.5.0-1.deb ...
Desempaquetando crossover:i386 (18.5.0-1) ...
dpkg: problemas de dependencias impiden la configuración de crossover:i386:
 crossover:i386 depende de libnss-mdns | lib32nss-mdns:amd64; sin embargo:
  El paquete `lib32nss-mdns' no está instalado.

dpkg: error al procesar el paquete crossover:i386 (--install):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 crossover:i386

(Ante todo siempre se necesita en un principio agregar la arquitectura i386 para muchos programas , podes encontrarlo dentro de este mismo blog). 

** sudo apt install -f 

sudo apt install -f 
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Corrigiendo dependencias... Listo
Se instalarán los siguientes paquetes adicionales:
  avahi-daemon libavahi-core7 libdaemon0 libnss-mdns libnss-mdns:i386
Paquetes sugeridos:
  avahi-autoipd avahi-autoipd | zeroconf avahi-autoipd:i386 | zeroconf:i386
Se instalarán los siguientes paquetes NUEVOS:
  avahi-daemon libavahi-core7 libdaemon0 libnss-mdns libnss-mdns:i386
0 actualizados, 5 nuevos se instalarán, 0 para eliminar y 1 no actualizados.
1 no instalados del todo o eliminados.
Se necesita descargar 270 kB de archivos.
Se utilizarán 849 kB de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n] 

_Una ves corregido estos problemas. Iremos al siguiente paso que será la activación del crossover. 
Para eso usaremos "winewrapper.exe.so" el cual moveremos en donde se instala el programa.

En mi caso como utilicé el .deb la ruta predeterminada será el /opt/
Por que lo se centraran en eso , primero cuando se metan dentro de la carpeta que esta "winewrapper.exe.so" , abren una terminal y luego ella escriben

# sudo mv winewrapper.exe.so /opt/cxoffice/lib/wine




No hay comentarios.:

Publicar un comentario